Package com.xebialabs.xlrelease.domain

## Class Link

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.Link

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false)
      public class Link
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Link()` |
    `Link​(Task source, Task target)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParallelGroup` | `getParallelGroup()` |
    `Task` | `getSource()` |
    `Task` | `getTarget()` |
    `boolean` | `hasSource​(Task task)` |
    `boolean` | `hasTarget​(Task task)` |
    `boolean` | `references​(Task task)` |
    `void` | `setParallelGroup​(ParallelGroup parallelGroup)` |
    `void` | `setSource​(Task source)` |
    `void` | `setTarget​(Task target)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link()

    - #### Link

          public Link​(Task source,
                      Task target)

  - ### Method Detail

    - #### references

          public boolean references​(Task task)

    - #### hasSource

          public boolean hasSource​(Task task)

    - #### getParallelGroup

          public ParallelGroup getParallelGroup()

    - #### setParallelGroup

          public void setParallelGroup​(ParallelGroup parallelGroup)

    - #### getSource

          public Task getSource()

    - #### setSource

          public void setSource​(Task source)

    - #### getTarget

          public Task getTarget()

    - #### setTarget

          public void setTarget​(Task target)

    - #### hasTarget

          public boolean hasTarget​(Task task)